Change log for doctrine package in Ubuntu

127 of 27 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-11-24
Deleted in disco-proposed (Reason: moved to release)
doctrine (2.6.3+dfsg-1) unstable; urgency=medium

  [ Cyril PASCAL ]
  * Make code php 7.3 lint-compatible

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in debian/
  " Update Standards-Version to 4.2.1

 -- David Prévot <email address hidden>  Fri, 23 Nov 2018 01:27:14 -1000

Available diffs

Superseded in disco-release on 2018-11-24
Deleted in disco-proposed on 2018-11-26 (Reason: moved to release)
doctrine (2.6.2+dfsg-2) unstable; urgency=medium

  * Pull upstream patch for PHP 7.3 compatibility (Closes: #912114)

 -- Ondřej Surý <email address hidden>  Wed, 07 Nov 2018 14:18:16 +0000

Available diffs

Superseded in disco-release on 2018-11-10
Published in cosmic-release on 2018-07-19
Deleted in cosmic-proposed (Reason: moved to release)
doctrine (2.6.2+dfsg-1) unstable; urgency=medium

  [ Michael Moravec ]
  * Preparing v2.6.2 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.5
  * Properly handle upstream version
  * Fix homemade autoload path for CLI
  * Fix manpage

 -- David Prévot <email address hidden>  Wed, 18 Jul 2018 06:57:06 +0800
Superseded in cosmic-release on 2018-07-19
Deleted in cosmic-proposed on 2018-07-20 (Reason: moved to release)
doctrine (2.6.1+dfsg-1build4) cosmic; urgency=medium

  * Rebuild against new phpunit7 bootstrapped stack.

 -- Gianfranco Costamagna <email address hidden>  Thu, 12 Jul 2018 07:49:11 +0200
Superseded in cosmic-proposed on 2018-07-12
doctrine (2.6.1+dfsg-1build3) cosmic; urgency=medium

  * Rebuild against new phpunit7 bootstrap.

 -- Gianfranco Costamagna <email address hidden>  Wed, 11 Jul 2018 23:57:13 +0200
Superseded in cosmic-proposed on 2018-07-11
doctrine (2.6.1+dfsg-1build2) cosmic; urgency=medium

  * Rebuild against newly bootstrapped phpunit7.

 -- Gianfranco Costamagna <email address hidden>  Wed, 11 Jul 2018 20:33:59 +0200
Superseded in cosmic-proposed on 2018-07-11
doctrine (2.6.1+dfsg-1build1) cosmic; urgency=medium

  * Rebuild against new phpunit7 bootstrap.

 -- Gianfranco Costamagna <email address hidden>  Wed, 11 Jul 2018 15:14:48 +0200
Superseded in cosmic-proposed on 2018-07-11
doctrine (2.6.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable since PHP 7.2 is now available

  [ David Prévot ]
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

 -- David Prévot <email address hidden>  Mon, 05 Mar 2018 10:05:50 -1000
Superseded in cosmic-release on 2018-07-12
Published in bionic-release on 2017-12-19
Deleted in bionic-proposed (Reason: moved to release)
doctrine (2.5.14+dfsg-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Preparing v2.5.14 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.2

 -- David Prévot <email address hidden>  Mon, 18 Dec 2017 14:48:00 +0900

Available diffs

Superseded in bionic-release on 2017-12-19
Deleted in bionic-proposed on 2017-12-20 (Reason: moved to release)
doctrine (2.5.13+dfsg-1) unstable; urgency=medium

  [ Luís Cobucci ]
  * Preparing v2.5.13 release

 -- David Prévot <email address hidden>  Fri, 01 Dec 2017 15:07:30 -1000

Available diffs

Superseded in bionic-release on 2017-12-02
Deleted in bionic-proposed on 2017-12-04 (Reason: moved to release)
doctrine (2.5.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Allow Symfony 4

  [ Jonathan H. Wage ]
  * Preparing v2.5.12 release

  [ David Prévot ]
  * Drop versioned dependency satisfied in stable
  * Update Standards-Version to 4.1.1

 -- David Prévot <email address hidden>  Tue, 24 Oct 2017 16:07:16 -1000

Available diffs

Superseded in bionic-release on 2017-11-05
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
doctrine (2.5.4+dfsg-2) unstable; urgency=medium

  * Upload to unstable now that owncloud is gone
  * PHP 7.0 transition:
    - Depend on php-* instead of php5-*
    - Rebuild with recent pkg-php-tools
  * Update Standards-Version to 3.9.8

 -- David Prévot <email address hidden>  Fri, 15 Apr 2016 14:17:22 -0400

Available diffs

Superseded in yakkety-release on 2016-06-15
Published in xenial-release on 2016-03-26
Deleted in xenial-proposed (Reason: moved to release)
doctrine (2.4.8-2) unstable; urgency=medium

  * PHP 7.0 transition:
    - Depend on php-* instead of php5-*
    - Rebuild with recent pkg-php-tools
  * Update Standards-Version to 3.9.7

 -- David Prévot <email address hidden>  Fri, 25 Mar 2016 11:16:25 -0400
Superseded in xenial-release on 2016-03-26
Deleted in xenial-proposed on 2016-03-27 (Reason: moved to release)
doctrine (2.4.8-1ubuntu1) xenial; urgency=medium

  * d/: update to PHP 7.0 dependencies.
  * LP: #1544316.

 -- Nishanth Aravamudan <email address hidden>  Wed, 10 Feb 2016 14:06:41 -0800
Superseded in xenial-release on 2016-02-19
Deleted in xenial-proposed on 2016-02-20 (Reason: moved to release)
doctrine (2.4.8-1) unstable; urgency=medium

  [ Benjamin Eberlei ]
  * [DCOM-293] Fix security misconfiguration vulnerability allowing
    local remote arbitrary code execution. [CVE-2015-5723]

 -- David Prévot <email address hidden>  Mon, 31 Aug 2015 18:56:11 -0400

Available diffs

Superseded in xenial-release on 2015-10-24
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
doctrine (2.4.7-2) unstable; urgency=medium

  * Track 2.4 branch
  * Ship XSD file among documemtation
  * Drop transitional doctrine package
  * Provide homemade autoload.php

 -- David Prévot <email address hidden>  Mon, 18 May 2015 21:38:45 -0400

Available diffs

Superseded in wily-release on 2015-07-15
Obsolete in vivid-release on 2018-01-18
Deleted in vivid-proposed on 2018-01-19 (Reason: moved to release)
doctrine (2.4.7-1) unstable; urgency=medium


  [ Marco Pivetta ]
  * Release v2.4.7

  [ David Prévot ]
  * Provide manpage for PHP script

 -- David Prévot <email address hidden>  Thu, 18 Dec 2014 16:58:50 -0400

Available diffs

Superseded in vivid-release on 2014-12-19
Deleted in vivid-proposed on 2014-12-20 (Reason: moved to release)
doctrine (2.4.6-1) unstable; urgency=medium


  [ Marco Pivetta ]
  * Using `ReflectionClass#newInstanceWithoutConstructor()` also with PHP 5.6+
  * Release 2.4.6

  [ David Prévot ]
  * Add upstream changelog

 -- David Prévot <email address hidden>  Fri, 10 Oct 2014 09:01:33 -0400

Available diffs

Superseded in vivid-release on 2014-10-24
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed on 2016-11-03 (Reason: moved to release)
doctrine (2.4.4-1) unstable; urgency=medium


  [ Marco Pivetta ]
  * DDC-3208 - hotfix for DDC-3160 backported to 2.4.x
  * Release 2.4.4

 -- David Prévot <email address hidden>  Sun, 13 Jul 2014 11:54:21 -0400

Available diffs

Superseded in utopic-release on 2014-07-14
Deleted in utopic-proposed on 2014-07-15 (Reason: moved to release)
doctrine (2.4.3-1) unstable; urgency=medium


  [ Benjamin Eberlei ]
  * Release 2.4.3

  [ David Prévot ]
  * Drop Unicode character from documentation
  * Upload to unstable

 -- David Prévot <email address hidden>  Sun, 15 Jun 2014 11:31:11 -0400

Available diffs

Superseded in utopic-release on 2014-06-28
Deleted in utopic-proposed on 2014-06-29 (Reason: moved to release)
doctrine (2.3.5-1) unstable; urgency=medium


  [ Benjamin Eberlei ]
  * Release 2.3.5

  [ David Prévot ]
  * Bump standards version to 3.9.5
  * Update upstream source
  * Update copyright
  * Convert from PEAR to Composer
  * Run test suite at build time
  * Make the package DEP-8 compliant

 -- David Prévot <email address hidden>  Fri, 30 May 2014 22:59:32 -0400

Available diffs

Superseded in utopic-release on 2014-06-01
Published in trusty-release on 2013-12-30
Deleted in trusty-proposed (Reason: moved to release)
doctrine (2.3.3-1) unstable; urgency=low


  * Imported Upstream version 2.3.3
  * Doctrine has been renamed as DoctrineORM, the doctrine package has been
    renamed as php-doctrine-orm, and doctrine is now a transitional dummy
    package depending on php-doctrine-orm
  * Adapt packaging for new version

 -- David Prévot <email address hidden>  Tue, 22 Oct 2013 17:24:29 -0400
Superseded in trusty-proposed on 2013-10-29
Deleted in saucy-proposed on 2013-10-30 (Reason: Moved to trusty-proposed)
doctrine (1.2.4-2) unstable; urgency=low


  * Move packaging to pkg-php-tools
  * Maintain the package inside the PHP PEAR team (Closes: #682304)
  * Bump compat to 9
  * Bump standards version to 3.9.4
  * Convert copyright to format 1.0
  * Update watch file
  * Depend on php-symfony-yaml (Closes: #613426)

 -- David Prévot <email address hidden>  Wed, 03 Jul 2013 10:36:33 -0400
Superseded in trusty-release on 2013-12-30
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
doctrine (1.2.4-1) unstable; urgency=low

  * New upstream version (closes: #594410). This will also prevent
    CVE 2011-1522 on sid, already fixed on stable-security by
    1.2.2-2+squeeze1
  * Added doctrine.ini thanks to Micah <email address hidden>
    (closes: #590006)
  * debian/copyright: bumped date
  * debian/install:
        + updated according to new file layout
        + added code to install doctrine.ini
  * debian/patches: removed unused patches
  * debian/rules:
        + removed uneeded fixes
        + updated touch date to the release date to fix epoch timestamp
  * debian/control: bumped Standards Version to 3.9.2 (no changes needed)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  28 Jun 2011 07:21:56 +0000

Available diffs

Superseded in oneiric-release on 2011-06-28
doctrine (1.2.2-2+squeeze1build1) oneiric; urgency=low

  * no change rebuild from squeeze (since it is newer than unstable)
 -- Jamie Strandboge <email address hidden>   Fri, 20 May 2011 14:55:41 -0500
Deleted in natty-release on 2011-04-10 (Reason: 1.2.x is EOL, LP#751614)
doctrine (1.2.2-2) unstable; urgency=low

  * debian/rules: removed all test running-related commands
    (closes: #591115)
  * debian/control: bumped Standards-Version to 3.9.1
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  03 Dec 2010 16:46:47 +0000

Available diffs

Superseded in natty-release on 2010-12-03
doctrine (1.2.2-1) unstable; urgency=low

  * Initial Release. (closes: #568501)
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  01 Nov 2010 13:52:41 +0000
127 of 27 results